cgGetFirstSamplerState(3)

NAME
cgGetFirstSamplerState - get the first sampler state definition in a context

SYNOPSIS
  #include <Cg/cg.h>
  CGstate cgGetFirstSamplerState( CGcontext context );

PARAMETERS

context
    The context from which to retrieve the first sampler state definition.

RETURN VALUES
Returns the first CGstate object in context.

Returns NULL if context contains no programs or an error occurs.

DESCRIPTION
cgGetFirstSamplerState is used to begin iteration over all of the sampler state definitions contained within a context. See the cgGetNextState manpage for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

HISTORY
cgGetFirstSamplerState was introduced in Cg 1.4.

SEE ALSO
the cgGetNextState manpage, the cgGetNamedSamplerState manpage, the cgIsSamplerState manpage